import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/button_widget.dart';
import 'package:pharmacy_mobile/widgets/page_background_widget.dart';
import 'package:pharmacy_mobile/widgets/slogan_widget.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';
import 'package:pharmacy_mobile/widgets/title_widget.dart';

class IndexPage extends StatelessWidget {
  const IndexPage({super.key});

  @override
  Widget build(BuildContext context) {
    void gotoLogin() {
      context.push('/login');
    }

    void gotoRegister() {
      context.push('/register');
    }

    return Scaffold(
        resizeToAvoidBottomInset: false,
        body: PageBackgroundWidget(
          child: Column(
            children: [
              const Gap(88),
              const TitleWidget(
                firstTextSize: 24,
                secondTextSize: 40,
                logoSize: 124,
              ),
              const Gap(32),
              Padding(
                padding: const EdgeInsets.fromLTRB(0, 0, 38, 0),
                child: Image.asset('assets/ph_logo2.webp',
                    width: 192, cacheWidth: (192 * MediaQuery.of(context).devicePixelRatio).round()),
              ),
              const Gap(64),
              ButtonWidget(text: 'Login', onPressed: gotoLogin),
              const Gap(8),
              ButtonWidget(text: 'Register', onPressed: gotoRegister, outline: true),
              const Gap(32),
              const SloganWidget(),
              const Gap(32),
              const MaxGap(500),
              const TextWidget(
                text: 'Copyright © 2025 - Ofelia Franco-Alcala Pharmacy',
                size: 10,
                bold: true,
              ),
              const TextWidget(
                text: 'Developed By: Pat Alcala',
                size: 8,
                opacity: 0.8,
              ),
              const Gap(16),
            ],
          ),
        ));
  }
}
